TestActionConfig.CustomActionConfig (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class TestActionConfig.CustomActionConfig

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ActionConfig
              org.apache.struts.config.TestActionConfig.CustomActionConfig

All Implemented Interfaces:
  Serializable

Enclosing class:
  TestActionConfig

    public static class TestActionConfig.CustomActionConfig

extends ActionConfig

Used to detect that ActionConfig is making the right calls.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ActionConfig
`actionId, attribute, cancellable, catalog, command, exceptions, extensionProcessed, forward, forwards, include, inherit, input, moduleConfig, multipartClass, name, parameter, path, prefix, roleNames, roles, scope, suffix, type, unknown, validate`

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`TestActionConfig.CustomActionConfig()`

Method Summary
`void` | `processExtends(ModuleConfig moduleConfig)`

Methods inherited from class org.apache.struts.config.ActionConfig
`addExceptionConfig, addForwardConfig, checkCircularInheritance, findException, findExceptionConfig, findExceptionConfigs, findForwardConfig, findForwardConfigs, freeze, getActionId, getAttribute, getCancellable, getCatalog, getCommand, getExtends, getForward, getInclude, getInput, getModuleConfig, getMultipartClass, getName, getParameter, getPath, getPrefix, getRoleNames, getRoles, getScope, getSuffix, getType, getUnknown, getValidate, inheritExceptionHandlers, inheritForwards, inheritFrom, isExtensionProcessed, removeExceptionConfig, removeForwardConfig, setActionId, setAttribute, setCancellable, setCatalog, setCommand, setExtends, setForward, setInclude, setInput, setModuleConfig, setMultipartClass, setName, setParameter, setPath, setPrefix, setRoles, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestActionConfig.CustomActionConfig

    public TestActionConfig.CustomActionConfig()

Method Detail

### processExtends

    public void processExtends(ModuleConfig moduleConfig)
                        throws ClassNotFoundException,
                               IllegalAccessException,
                               InstantiationException,
                               InvocationTargetException

  Overrides:
    `processExtends` in class `ActionConfig`
  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.